QGIS Application - Bug report #13493
Processing Toolbox not finding Grass 7
2015-10-02 03:42 PM - Randal Hale

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No
Operating System: Ubuntu Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21538
Description

Just updated QGIS Master 2.11

Grass 7 is active under options under the processing toolbox. Grass 64 isn't.

I'm getting an error when starting a tool saying GRASS GIS 7 cannot be found. | started qgis from a console and QGIS isn't complaining -
in fact it seems to see grass as it's setting things like g.proj and g.region. Anyway - thoughts or ideas. | think this is correct as | can't think

of anything else to check/uncheck.

...and Grass 7.01 is installed along with qgis-plugins-grass

History

#1 - 2015-10-08 05:24 AM - Randal Hale

| did an update still wasn't working. | inadvertently (and | have no clue why | did this) deleted my .qgis2 file and it works. Grass is now found by QGIS 2.11
Master

#2 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#3 - 2015-11-08 05:59 AM - Randal Hale

- Status changed from Open to Closed

It's working now - seems generating a new .gis2 file fixed it. Unfortunately | didn't keep my old .qgis2 file.
